diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/doc/models/Makefile ns-3.46/doc/models/Makefile
--- ns-3.45/doc/models/Makefile	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/doc/models/Makefile	2025-10-01 18:46:32.000000000 -0700
@@ -1,6 +1,4 @@
-EPSTOPDF = epstopdf
-DIA = dia
-CONVERT = convert -density 300
+include $(CURDIR)/../sphinx/defines.mk
 
 SRC = ../../src
 # Temporary source directory, for build
@@ -18,10 +16,7 @@
 	source/network.rst \
 	source/emulation-overview.rst \
 	source/traffic-control.rst \
-	$(SRC)/antenna/doc/source/antenna.rst \
-	$(SRC)/antenna/doc/source/antenna-design.rst \
-	$(SRC)/antenna/doc/source/antenna-user.rst \
-	$(SRC)/antenna/doc/source/antenna-testing.rst \
+	$(SRC)/antenna/doc/antenna.rst \
 	$(SRC)/aodv/doc/aodv.rst \
 	$(SRC)/applications/doc/applications.rst \
 	$(SRC)/bridge/doc/bridge.rst \
@@ -78,7 +73,6 @@
 	$(SRC)/wifi/doc/source/wifi-testing.rst \
 	$(SRC)/wifi/doc/source/wifi-changelog.rst \
 	$(SRC)/wifi/doc/source/wifi-references.rst \
-	$(SRC)/wimax/doc/wimax.rst \
 	$(SRC)/uan/doc/uan.rst \
 	$(SRC)/topology-read/doc/topology.rst \
 	$(SRC)/traffic-control/doc/traffic-control-layer.rst \
@@ -107,12 +101,13 @@
 # documentation formats (html, latex...) the following formats are supported:
 #  1) a single .dia file (preferred option, because it can be edited)
 #  2) a single .eps file
-#  3) both a .pdf and .png file
+#  3) a single .png file
+#  4) both a .pdf and .png file
 SOURCEFIGS = \
 	figures/testbed.dia \
 	figures/emulated-channel.dia \
-	$(SRC)/antenna/doc/source/figures/antenna-coordinate-system.dia	\
-	$(SRC)/antenna/doc/source/figures/circular-antenna-pattern.png	\
+	$(SRC)/antenna/doc/figures/antenna-coordinate-system.dia	\
+	$(SRC)/antenna/doc/figures/circular-antenna-pattern.png	\
 	$(SRC)/applications/doc/http-embedded-object-size.png \
 	$(SRC)/applications/doc/http-main-object-size.png \
 	$(SRC)/applications/doc/http-num-of-embedded-objects.png \
@@ -128,6 +123,7 @@
 	$(SRC)/internet/doc/internet-node-recv.dia \
 	$(SRC)/internet/doc/routing.dia \
 	$(SRC)/internet/doc/routing-specialization.dia \
+	$(SRC)/internet/doc/global-routing-limitation.dia \
 	$(SRC)/internet/doc/figures/tcp-state-machine.png \
 	$(SRC)/internet/doc/figures/dctcp-10ms-50mbps-tcp-throughput.pdf \
 	$(SRC)/internet/doc/figures/dctcp-10ms-50mbps-tcp-throughput.png \
@@ -172,7 +168,6 @@
 	$(SRC)/wifi/doc/source/figures/spectrum-wifi-phy-multiple-interfaces.png \
 	$(SRC)/wifi/doc/source/figures/cca-channel-switching-multiple-interfaces.pdf \
 	$(SRC)/wifi/doc/source/figures/cca-channel-switching-multiple-interfaces.png \
-	$(SRC)/wimax/doc/WimaxArchitecture.dia \
 	$(SRC)/lte/doc/source/figures/epc-ctrl-arch.dia \
 	$(SRC)/lte/doc/source/figures/epc-data-flow-dl.dia \
 	$(SRC)/lte/doc/source/figures/epc-data-flow-dl-with-split.dia \
@@ -357,18 +352,21 @@
 	$(SRC)/spectrum/doc/two-ray-spectrum-loss-model-3gpp-radiation-pattern.png \
 	$(SRC)/spectrum/doc/two-ray-spectrum-loss-model-iso-radiation-pattern.png \
 	$(SRC)/spectrum/doc/three-gpp-gain-reference-gain-vs-fc.png \
+	$(SRC)/spectrum/doc/hexagonal-wraparound-cdf-comparison.png \
+	$(SRC)/spectrum/doc/hexagonal-wraparound-topology.png \
+	$(SRC)/spectrum/doc/hexagonal-wraparound-execution-and-median-thr.png \
 	$(SRC)/traffic-control/doc/classful-queue-disc.dia \
 	$(SRC)/traffic-control/doc/multi-queue-aware-queue-disc.dia \
 	$(SRC)/traffic-control/doc/figures/collision_prob.jpeg \
 	$(SRC)/traffic-control/doc/figures/overlapped.jpeg \
-	$(SRC)/lr-wpan/doc/lr-wpan-arch.dia \
-	$(SRC)/lr-wpan/doc/lr-wpan-assocSequence.dia \
-	$(SRC)/lr-wpan/doc/lr-wpan-data-example.dia \
-	$(SRC)/lr-wpan/doc/lr-wpan-phy.dia \
-	$(SRC)/lr-wpan/doc/lr-wpan-primitives.dia \
-	$(SRC)/lr-wpan/doc/802-15-4-ber.eps \
-	$(SRC)/lr-wpan/doc/802-15-4-per-sens.eps \
-	$(SRC)/lr-wpan/doc/802-15-4-psr-distance.eps \
+	$(SRC)/lr-wpan/doc/figures/lr-wpan-arch.dia \
+	$(SRC)/lr-wpan/doc/figures/lr-wpan-assocSequence.dia \
+	$(SRC)/lr-wpan/doc/figures/lr-wpan-data-example.dia \
+	$(SRC)/lr-wpan/doc/figures/lr-wpan-phy.dia \
+	$(SRC)/lr-wpan/doc/figures/lr-wpan-primitives.dia \
+	$(SRC)/lr-wpan/doc/figures/802-15-4-ber.eps \
+	$(SRC)/lr-wpan/doc/figures/802-15-4-per-sens.eps \
+	$(SRC)/lr-wpan/doc/figures/802-15-4-psr-distance.eps \
 	$(SRC)/flow-monitor/doc/figures/flowmonitorArq.dia \
 	$(SRC)/energy/doc/figures/dischargeCurve.png \
 	$(SRC)/energy/doc/figures/energyFramework.dia \
@@ -396,13 +394,13 @@
 	$(FIGURES)/internet-node-recv.eps \
 	$(FIGURES)/routing.eps \
 	$(FIGURES)/routing-specialization.eps \
+	$(FIGURES)/global-routing-limitation.eps \
 	$(FIGURES)/WifiArchitecture.eps \
 	$(FIGURES)/PhyEntityHierarchy.eps \
 	$(FIGURES)/WifiPpduHierarchy.eps \
 	$(FIGURES)/FemHierarchy.eps \
 	$(FIGURES)/wifi-phy-rx-trace-helper.eps \
 	$(FIGURES)/snir.eps \
-	$(FIGURES)/WimaxArchitecture.eps \
 	$(FIGURES)/epc-ctrl-arch.eps \
 	$(FIGURES)/epc-data-flow-dl.eps \
 	$(FIGURES)/epc-data-flow-dl-with-split.eps \
@@ -525,6 +523,7 @@
 $(FIGURES)/internet-node-recv.pdf_width = 5in
 $(FIGURES)/routing.pdf_width = 6in
 $(FIGURES)/routing-specialization.pdf_width = 5in
+$(FIGURES)/global-routing-limitation.pdf_width = 6in
 $(FIGURES)/snir.pdf_width = 3in
 $(FIGURES)/lte-interference-test-scenario.pdf_width = 3in
 $(FIGURES)/epc-ctrl-arch.pdf_width = 8cm
@@ -603,15 +602,7 @@
 	@$(EPSTOPDF) $< -o=$@ >/dev/null
 	@if test x$($@_width) != x; then $(RESCALE) $($@_width) $@ ; fi
 
-# You can set these variables from the command line.
-SPHINXOPTS    = -W --keep-going
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
-
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCETEMP)
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/doc/sphinx/defines.mk ns-3.46/doc/sphinx/defines.mk
--- ns-3.45/doc/sphinx/defines.mk	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.46/doc/sphinx/defines.mk	2025-10-01 18:46:32.000000000 -0700
@@ -0,0 +1,19 @@
+ifeq (, $(shell command -v magick))
+	CONVERT = convert -density 300
+else
+	CONVERT = magick -density 300
+endif
+
+DIA = dia
+DOT = dot
+EPSTOPDF = epstopdf
+
+# You can set these variables from the command line.
+SPHINXOPTS    = -W --keep-going
+SPHINXBUILD   = sphinx-build
+PAPER         =
+BUILDDIR      = build
+
+# Internal variables.
+PAPEROPT_a4     = -D latex_paper_size=a4
+PAPEROPT_letter = -D latex_paper_size=letter
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/doc/tutorial/Makefile ns-3.46/doc/tutorial/Makefile
--- ns-3.45/doc/tutorial/Makefile	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/doc/tutorial/Makefile	2025-10-01 18:46:32.000000000 -0700
@@ -1,23 +1,11 @@
 # Makefile for Sphinx documentation
 #
-EPSTOPDF = epstopdf
-DIA = dia
-CONVERT = convert -density 300
-
-# You can set these variables from the command line.
-SPHINXOPTS    = -W --keep-going
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
+include $(CURDIR)/../sphinx/defines.mk
 
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
 # Additional variables for figures, not sphinx default:
-DIA = dia
-EPSTOPDF = epstopdf
 FIGURES = source/figures
 IMAGES_EPS = \
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/examples/channel-models/three-gpp-v2v-channel-example.cc ns-3.46/examples/channel-models/three-gpp-v2v-channel-example.cc
--- ns-3.45/examples/channel-models/three-gpp-v2v-channel-example.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/examples/channel-models/three-gpp-v2v-channel-example.cc	2025-10-01 18:46:32.000000000 -0700
@@ -151,13 +151,10 @@
         NS_LOG_ERROR("Can't open file " << filename);
         return;
     }
-    uint32_t index = 0;
     for (auto it = BuildingList::Begin(); it != BuildingList::End(); ++it)
     {
-        ++index;
         Box box = (*it)->GetBoundaries();
-        outFile << "set object " << index << " rect from " << box.xMin << "," << box.yMin << " to "
-                << box.xMax << "," << box.yMax << std::endl;
+        outFile << box.xMin << " " << box.yMin << " " << box.xMax << " " << box.yMax << std::endl;
     }
 }
 
@@ -359,7 +356,7 @@
 
     for (int i = 0; i < simTime / timeRes; i++)
     {
-        ComputeSnrParams params{txMob, rxMob, txParams, noiseFigure, txAntenna, rxAntenna};
+        ComputeSnrParams params{txMob, rxMob, txParams->Copy(), noiseFigure, txAntenna, rxAntenna};
         Simulator::Schedule(timeRes * i, &ComputeSnr, params);
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/examples/wireless/examples-to-run.py ns-3.46/examples/wireless/examples-to-run.py
--- ns-3.45/examples/wireless/examples-to-run.py	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/examples/wireless/examples-to-run.py	2025-10-01 18:46:32.000000000 -0700
@@ -85,17 +85,17 @@
         "True",
     ),
     (
-        "wifi-vht-network --simulationTime=0.2s --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=620",
+        "wifi-vht-network --simulationTime=0.2s --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=630",
         "True",
         "True",
     ),
     (
-        "wifi-vht-network --simulationTime=0.2s --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=557",
+        "wifi-vht-network --simulationTime=0.2s --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=565",
         "True",
         "True",
     ),
     (
-        "wifi-vht-network --simulationTime=0.2s --useRts=0 --use80Plus80=1 --minExpectedThroughput=5 --maxExpectedThroughput=620",
+        "wifi-vht-network --simulationTime=0.2s --useRts=0 --use80Plus80=1 --minExpectedThroughput=5 --maxExpectedThroughput=630",
         "True",
         "True",
     ),
@@ -195,7 +195,7 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=8 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=550 --RngRun=3",
+        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=8 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=550 --RngRun=6",
         "True",
         "True",
     ),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/examples/wireless/wifi-eht-network.cc ns-3.46/examples/wireless/wifi-eht-network.cc
--- ns-3.45/examples/wireless/wifi-eht-network.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/examples/wireless/wifi-eht-network.cc	2025-10-01 18:46:32.000000000 -0700
@@ -18,6 +18,7 @@
 #include "ns3/log.h"
 #include "ns3/mobility-helper.h"
 #include "ns3/multi-model-spectrum-channel.h"
+#include "ns3/neighbor-cache-helper.h"
 #include "ns3/on-off-helper.h"
 #include "ns3/packet-sink-helper.h"
 #include "ns3/packet-sink.h"
@@ -28,8 +29,7 @@
 #include "ns3/udp-server.h"
 #include "ns3/uinteger.h"
 #include "ns3/wifi-acknowledgment.h"
-#include "ns3/yans-wifi-channel.h"
-#include "ns3/yans-wifi-helper.h"
+#include "ns3/wifi-static-setup-helper.h"
 
 #include <algorithm>
 #include <array>
@@ -148,6 +148,8 @@
     uint16_t auxPhyChWidth{20};
     bool auxPhyTxCapable{true};
     Time simulationTime{"10s"};
+    bool staticSetup{true};
+    auto clientAppStartTime = Seconds(1);
     meter_u distance{1.0};
     double frequency{5};  // whether the first link operates in the 2.4, 5 or 6 GHz
     double frequency2{0}; // whether the second link operates in the 2.4, 5 or 6 GHz (0 means no
@@ -170,6 +172,9 @@
     Time accessReqInterval{0};
 
     CommandLine cmd(__FILE__);
+    cmd.AddValue("staticSetup",
+                 "Whether devices are configured using the static setup helper",
+                 staticSetup);
     cmd.AddValue(
         "frequency",
         "Whether the first link operates in the 2.4, 5 or 6 GHz band (other values gets rejected)",
@@ -481,6 +486,8 @@
                 mac.SetType("ns3::ApWifiMac",
                             "EnableBeaconJitter",
                             BooleanValue(false),
+                            "BeaconGeneration",
+                            BooleanValue(!staticSetup),
                             "Ssid",
                             SsidValue(ssid));
                 apDevice = wifi.Install(phy, mac, wifiApNode);
@@ -509,6 +516,17 @@
                 mobility.Install(wifiApNode);
                 mobility.Install(wifiStaNodes);
 
+                if (staticSetup)
+                {
+                    /* static setup of association and BA agreements */
+                    auto apDev = DynamicCast<WifiNetDevice>(apDevice.Get(0));
+                    NS_ASSERT(apDev);
+                    WifiStaticSetupHelper::SetStaticAssociation(apDev, staDevices);
+                    WifiStaticSetupHelper::SetStaticEmlsr(apDev, staDevices);
+                    WifiStaticSetupHelper::SetStaticBlockAck(apDev, staDevices, {0});
+                    clientAppStartTime = MilliSeconds(1);
+                }
+
                 /* Internet stack*/
                 InternetStackHelper stack;
                 stack.Install(wifiApNode);
@@ -524,6 +542,13 @@
                 staNodeInterfaces = address.Assign(staDevices);
                 apNodeInterface = address.Assign(apDevice);
 
+                if (staticSetup)
+                {
+                    /* static setup of ARP cache */
+                    NeighborCacheHelper nbCache;
+                    nbCache.PopulateNeighborCache();
+                }
+
                 /* Setting applications */
                 ApplicationContainer serverApp;
                 auto serverNodes = downlink ? std::ref(wifiStaNodes) : std::ref(wifiApNode);
@@ -551,7 +576,7 @@
                     streamNumber += server.AssignStreams(serverNodes.get(), streamNumber);
 
                     serverApp.Start(Seconds(0));
-                    serverApp.Stop(simulationTime + Seconds(1));
+                    serverApp.Stop(simulationTime + clientAppStartTime);
                     const auto packetInterval = payloadSize * 8.0 / maxLoad;
 
                     for (std::size_t i = 0; i < nStations; i++)
@@ -563,8 +588,8 @@
                         ApplicationContainer clientApp = client.Install(clientNodes.Get(i));
                         streamNumber += client.AssignStreams(clientNodes.Get(i), streamNumber);
 
-                        clientApp.Start(Seconds(1));
-                        clientApp.Stop(simulationTime + Seconds(1));
+                        clientApp.Start(clientAppStartTime);
+                        clientApp.Stop(simulationTime + clientAppStartTime);
                     }
                 }
                 else
@@ -577,7 +602,7 @@
                     streamNumber += packetSinkHelper.AssignStreams(serverNodes.get(), streamNumber);
 
                     serverApp.Start(Seconds(0));
-                    serverApp.Stop(simulationTime + Seconds(1));
+                    serverApp.Stop(simulationTime + clientAppStartTime);
 
                     for (std::size_t i = 0; i < nStations; i++)
                     {
@@ -594,8 +619,8 @@
                         ApplicationContainer clientApp = onoff.Install(clientNodes.Get(i));
                         streamNumber += onoff.AssignStreams(clientNodes.Get(i), streamNumber);
 
-                        clientApp.Start(Seconds(1));
-                        clientApp.Stop(simulationTime + Seconds(1));
+                        clientApp.Start(clientAppStartTime);
+                        clientApp.Stop(simulationTime + clientAppStartTime);
                     }
                 }
 
@@ -604,17 +629,17 @@
 
                 if (tputInterval.IsStrictlyPositive())
                 {
-                    Simulator::Schedule(Seconds(1) + tputInterval,
+                    Simulator::Schedule(clientAppStartTime + tputInterval,
                                         &PrintIntermediateTput,
                                         cumulRxBytes,
                                         udp,
                                         serverApp,
                                         payloadSize,
                                         tputInterval,
-                                        simulationTime + Seconds(1));
+                                        simulationTime + clientAppStartTime);
                 }
 
-                Simulator::Stop(simulationTime + Seconds(1));
+                Simulator::Stop(simulationTime + clientAppStartTime);
                 Simulator::Run();
 
                 // When multiple stations are used, there are chances that association requests
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/examples/wireless/wifi-he-network.cc ns-3.46/examples/wireless/wifi-he-network.cc
--- ns-3.45/examples/wireless/wifi-he-network.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/examples/wireless/wifi-he-network.cc	2025-10-01 18:46:32.000000000 -0700
@@ -19,6 +19,7 @@
 #include "ns3/log.h"
 #include "ns3/mobility-helper.h"
 #include "ns3/multi-model-spectrum-channel.h"
+#include "ns3/neighbor-cache-helper.h"
 #include "ns3/on-off-helper.h"
 #include "ns3/packet-sink-helper.h"
 #include "ns3/packet-sink.h"
@@ -29,6 +30,7 @@
 #include "ns3/udp-server.h"
 #include "ns3/uinteger.h"
 #include "ns3/wifi-acknowledgment.h"
+#include "ns3/wifi-static-setup-helper.h"
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-helper.h"
 
@@ -66,6 +68,8 @@
     bool use80Plus80{false};
     bool useExtendedBlockAck{false};
     Time simulationTime{"10s"};
+    bool staticSetup{true};
+    auto clientAppStartTime = Seconds(1);
     meter_u distance{1.0};
     double frequency{5}; // whether 2.4, 5 or 6 GHz
     std::size_t nStations{1};
@@ -84,6 +88,9 @@
     Time accessReqInterval{0};
 
     CommandLine cmd(__FILE__);
+    cmd.AddValue("staticSetup",
+                 "Whether devices are configured using the static setup helper",
+                 staticSetup);
     cmd.AddValue("frequency",
                  "Whether working in the 2.4, 5 or 6 GHz band (other values gets rejected)",
                  frequency);
@@ -332,6 +339,8 @@
                     mac.SetType("ns3::ApWifiMac",
                                 "EnableBeaconJitter",
                                 BooleanValue(false),
+                                "BeaconGeneration",
+                                BooleanValue(!staticSetup),
                                 "Ssid",
                                 SsidValue(ssid));
                     apDevice = wifi.Install(phy, mac, wifiApNode);
@@ -376,6 +385,16 @@
                 mobility.Install(wifiApNode);
                 mobility.Install(wifiStaNodes);
 
+                if (staticSetup)
+                {
+                    /* static setup of association and BA agreements */
+                    auto apDev = DynamicCast<WifiNetDevice>(apDevice.Get(0));
+                    NS_ASSERT(apDev);
+                    WifiStaticSetupHelper::SetStaticAssociation(apDev, staDevices);
+                    WifiStaticSetupHelper::SetStaticBlockAck(apDev, staDevices, {0});
+                    clientAppStartTime = MilliSeconds(1);
+                }
+
                 /* Internet stack*/
                 InternetStackHelper stack;
                 stack.Install(wifiApNode);
@@ -391,6 +410,13 @@
                 staNodeInterfaces = address.Assign(staDevices);
                 apNodeInterface = address.Assign(apDevice);
 
+                if (staticSetup)
+                {
+                    /* static setup of ARP cache */
+                    NeighborCacheHelper nbCache;
+                    nbCache.PopulateNeighborCache();
+                }
+
                 /* Setting applications */
                 ApplicationContainer serverApp;
                 auto serverNodes = downlink ? std::ref(wifiStaNodes) : std::ref(wifiApNode);
@@ -415,7 +441,7 @@
                     streamNumber += server.AssignStreams(serverNodes.get(), streamNumber);
 
                     serverApp.Start(Seconds(0));
-                    serverApp.Stop(simulationTime + Seconds(1));
+                    serverApp.Stop(simulationTime + clientAppStartTime);
                     const auto packetInterval = payloadSize * 8.0 / maxLoad;
 
                     for (std::size_t i = 0; i < nStations; i++)
@@ -427,8 +453,8 @@
                         ApplicationContainer clientApp = client.Install(clientNodes.Get(i));
                         streamNumber += client.AssignStreams(clientNodes.Get(i), streamNumber);
 
-                        clientApp.Start(Seconds(1));
-                        clientApp.Stop(simulationTime + Seconds(1));
+                        clientApp.Start(clientAppStartTime);
+                        clientApp.Stop(simulationTime + clientAppStartTime);
                     }
                 }
                 else
@@ -441,7 +467,7 @@
                     streamNumber += packetSinkHelper.AssignStreams(serverNodes.get(), streamNumber);
 
                     serverApp.Start(Seconds(0));
-                    serverApp.Stop(simulationTime + Seconds(1));
+                    serverApp.Stop(simulationTime + clientAppStartTime);
 
                     for (std::size_t i = 0; i < nStations; i++)
                     {
@@ -458,14 +484,14 @@
                         ApplicationContainer clientApp = onoff.Install(clientNodes.Get(i));
                         streamNumber += onoff.AssignStreams(clientNodes.Get(i), streamNumber);
 
-                        clientApp.Start(Seconds(1));
-                        clientApp.Stop(simulationTime + Seconds(1));
+                        clientApp.Start(clientAppStartTime);
+                        clientApp.Stop(simulationTime + clientAppStartTime);
                     }
                 }
 
                 Simulator::Schedule(Seconds(0), &Ipv4GlobalRoutingHelper::PopulateRoutingTables);
 
-                Simulator::Stop(simulationTime + Seconds(1));
+                Simulator::Stop(simulationTime + clientAppStartTime);
                 Simulator::Run();
 
                 // When multiple stations are used, there are chances that association requests
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/examples/wireless/wifi-ht-network.cc ns-3.46/examples/wireless/wifi-ht-network.cc
--- ns-3.45/examples/wireless/wifi-ht-network.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/examples/wireless/wifi-ht-network.cc	2025-10-01 18:46:32.000000000 -0700
@@ -19,6 +19,7 @@
 #include "ns3/ipv4-global-routing-helper.h"
 #include "ns3/log.h"
 #include "ns3/mobility-helper.h"
+#include "ns3/neighbor-cache-helper.h"
 #include "ns3/on-off-helper.h"
 #include "ns3/packet-sink-helper.h"
 #include "ns3/packet-sink.h"
@@ -28,6 +29,7 @@
 #include "ns3/udp-client-server-helper.h"
 #include "ns3/udp-server.h"
 #include "ns3/uinteger.h"
+#include "ns3/wifi-static-setup-helper.h"
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-helper.h"
 
@@ -60,6 +62,8 @@
     bool udp{true};
     bool useRts{false};
     Time simulationTime{"10s"};
+    bool staticSetup{true};
+    auto clientAppStartTime = Seconds(1);
     meter_u distance{1.0};
     double frequency{5}; // whether 2.4 or 5 GHz
     std::string mcsStr;
@@ -70,6 +74,9 @@
     double maxExpectedThroughput{0.0};
 
     CommandLine cmd(__FILE__);
+    cmd.AddValue("staticSetup",
+                 "Whether devices are configured using the static setup helper",
+                 staticSetup);
     cmd.AddValue("frequency",
                  "Whether working in the 2.4 or 5.0 GHz band (other values gets rejected)",
                  frequency);
@@ -233,6 +240,8 @@
                 mac.SetType("ns3::ApWifiMac",
                             "EnableBeaconJitter",
                             BooleanValue(false),
+                            "BeaconGeneration",
+                            BooleanValue(!staticSetup),
                             "Ssid",
                             SsidValue(ssid));
 
@@ -256,6 +265,16 @@
                 mobility.Install(wifiApNode);
                 mobility.Install(wifiStaNode);
 
+                if (staticSetup)
+                {
+                    /* static setup of association and BA agreements */
+                    auto apDev = DynamicCast<WifiNetDevice>(apDevice.Get(0));
+                    NS_ASSERT(apDev);
+                    WifiStaticSetupHelper::SetStaticAssociation(apDev, staDevice);
+                    WifiStaticSetupHelper::SetStaticBlockAck(apDev, staDevice, {0});
+                    clientAppStartTime = MilliSeconds(1);
+                }
+
                 /* Internet stack*/
                 InternetStackHelper stack;
                 stack.Install(wifiApNode);
@@ -271,6 +290,13 @@
                 staNodeInterface = address.Assign(staDevice);
                 apNodeInterface = address.Assign(apDevice);
 
+                if (staticSetup)
+                {
+                    /* static setup of ARP cache */
+                    NeighborCacheHelper nbCache;
+                    nbCache.PopulateNeighborCache();
+                }
+
                 /* Setting applications */
                 const auto maxLoad = HtPhy::GetDataRate(mcs,
                                                         MHz_u{static_cast<double>(width)},
@@ -286,7 +312,7 @@
                     streamNumber += server.AssignStreams(wifiStaNode.Get(0), streamNumber);
 
                     serverApp.Start(Seconds(0));
-                    serverApp.Stop(simulationTime + Seconds(1));
+                    serverApp.Stop(simulationTime + clientAppStartTime);
                     const auto packetInterval = payloadSize * 8.0 / maxLoad;
 
                     UdpClientHelper client(staNodeInterface.GetAddress(0), port);
@@ -296,8 +322,8 @@
                     ApplicationContainer clientApp = client.Install(wifiApNode.Get(0));
                     streamNumber += client.AssignStreams(wifiApNode.Get(0), streamNumber);
 
-                    clientApp.Start(Seconds(1));
-                    clientApp.Stop(simulationTime + Seconds(1));
+                    clientApp.Start(clientAppStartTime);
+                    clientApp.Stop(simulationTime + clientAppStartTime);
                 }
                 else
                 {
@@ -310,7 +336,7 @@
                         packetSinkHelper.AssignStreams(wifiStaNode.Get(0), streamNumber);
 
                     serverApp.Start(Seconds(0));
-                    serverApp.Stop(simulationTime + Seconds(1));
+                    serverApp.Stop(simulationTime + clientAppStartTime);
 
                     OnOffHelper onoff("ns3::TcpSocketFactory", Ipv4Address::GetAny());
                     onoff.SetAttribute("OnTime",
@@ -325,13 +351,13 @@
                     ApplicationContainer clientApp = onoff.Install(wifiApNode.Get(0));
                     streamNumber += onoff.AssignStreams(wifiApNode.Get(0), streamNumber);
 
-                    clientApp.Start(Seconds(1));
-                    clientApp.Stop(simulationTime + Seconds(1));
+                    clientApp.Start(clientAppStartTime);
+                    clientApp.Stop(simulationTime + clientAppStartTime);
                 }
 
                 Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
-                Simulator::Stop(simulationTime + Seconds(1));
+                Simulator::Stop(simulationTime + clientAppStartTime);
                 Simulator::Run();
 
                 auto rxBytes = 0.0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/examples/wireless/wifi-spatial-reuse.cc ns-3.46/examples/wireless/wifi-spatial-reuse.cc
--- ns-3.45/examples/wireless/wifi-spatial-reuse.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/examples/wireless/wifi-spatial-reuse.cc	2025-10-01 18:46:32.000000000 -0700
@@ -351,11 +351,13 @@
         // to the Reset trace source on each STA.  Note that this trace connection
         // cannot be done through the Config path system, so pointers are used.
         auto deviceA = staDeviceA.Get(0)->GetObject<WifiNetDevice>();
-        auto hePhyA = DynamicCast<HePhy>(deviceA->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
+        auto hePhyA =
+            std::dynamic_pointer_cast<HePhy>(deviceA->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
         // Pass in the context string "1" to allow the trace to distinguish objects
         hePhyA->GetObssPdAlgorithm()->TraceConnect("Reset", "1", MakeCallback(&ResetTrace));
         auto deviceB = staDeviceB.Get(0)->GetObject<WifiNetDevice>();
-        auto hePhyB = DynamicCast<HePhy>(deviceB->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
+        auto hePhyB =
+            std::dynamic_pointer_cast<HePhy>(deviceB->GetPhy()->GetPhyEntity(WIFI_MOD_CLASS_HE));
         // Pass in the context string "2" to allow the trace to distinguish objects
         hePhyB->GetObssPdAlgorithm()->TraceConnect("Reset", "2", MakeCallback(&ResetTrace));
     }
